Skip to main content

POST /isochrone/2.0.0

OpenAPI Specification

2GIS Navigation API (6.0.0)

Algorithms

Getting a reachable area

Getting an area that is reachable in a given time from a given point.

query Parameters
key
required
string

Developer API key

Request Body schema: */*
required

Request parameters

durations
required
Array of integers

Travel times in seconds.

required
object (WGS84Point)

Point in WGS84 format.

string or null

Date and time to start the movement in RFC 3339 format (for example, 2020-05-15T15:52:01Z).

boolean or null

If true, the direction of movement will be reversed:

  • false - move from the specified point
  • true - move to the specified point

detailing
number
Default: 0

The level of polygon detail ranges from 0 to 1, where 0 is the minimum detail and 1 is the maximum detail.

transport
string
Default: "driving"
Enum: "driving" "walking" "bicycle" "motorcycle" "public_transport"

Movement type:

  • driving - by car,
  • walking - on foot,
  • bicycle - by bicycle,
  • motorcycle - by motorcycle,
  • public_transport - by public transport,

Array of CTXTransportType (strings) or null

Types of public transport.

ResponseGeometryFormat (any) or null

Format of geometry in response.

boolean or null

This flag controls behavior in case of partially successful isochrone calculation. If the flag is set, each isochrone gets status field. If the flag is set and some of the requested isochrones were not calculated, then code 200 will be returned, the calculated isochrones will have the OK status, the uncalculated isochrones will have the build_error status. The overall status will be partial_success. If all of the requested isochrones were not calculated, then code 200 will be returned. Uncalculated isochrones will have the build_error status, overall status will be build_error. If the flag is not set, code 204 and empty response will be returned.

Responses

Response Schema: application/json
number or null <double>

Time taken to generate the response in seconds.

(Array of Isochrone (object) or FailedIsochrone (object)) or null
TransportV2 (string) or null
StatusV2 (string) or null
format
required
any

Format of geometry in response.

Value: "wkt"

Response samples

Content type
application/json
{
  • "format": "wkt",
  • "generation_time": 0,
  • "isochrones": [
    • {
      },
    • {
      }
    ],
  • "status": "OK",
  • "transport": "public_transport"
}